libwpg: libwpg::WPGBinaryData Class Reference documentation

# libwpg::WPGBinaryData Class Reference

`#include <WPGBinaryData.h>`

List of all members.

## Public Member Functions
| WPGBinaryData ()
| WPGBinaryData (const WPGBinaryData &)
| WPGBinaryData (const char *buffer, const size_t bufferSize)
| ~WPGBinaryData ()
void | append (const WPGBinaryData &data)
void | append (const char *buffer, const size_t bufferSize)
void | append (const char c)
void | clear ()
size_t | size () const
const char * | getDataBuffer () const
const WPGString | getBase64Data () const
WPGBinaryData & | operator= (const WPGBinaryData &)
## Public Attributes
WPGRect | rect
WPGString | mimeType
## Private Attributes
WPGBinaryDataImpl * | m_binaryDataImpl

## Constructor & Destructor Documentation

libwpg::WPGBinaryData::WPGBinaryData | ( |  | ) |

libwpg::WPGBinaryData::WPGBinaryData | ( | const WPGBinaryData & | data | ) |

libwpg::WPGBinaryData::WPGBinaryData | ( | const char * | buffer,
|  | const size_t | bufferSize |
| ) |  |  |

libwpg::WPGBinaryData::~WPGBinaryData | ( |  | ) |

## Member Function Documentation

void libwpg::WPGBinaryData::append | ( | const WPGBinaryData & | data | ) |

Referenced by WPG2Parser::handleObjectImage(), WPG1Parser::handlePostscriptTypeOne(), and WPG1Parser::handlePostscriptTypeTwo().

void libwpg::WPGBinaryData::append | ( | const char * | buffer,
|  | const size_t | bufferSize |
| ) |  |  |

void libwpg::WPGBinaryData::append | ( | const char | c | ) |

void libwpg::WPGBinaryData::clear | ( |  | ) |

Referenced by WPG1Parser::handlePostscriptTypeOne(), and WPG1Parser::handlePostscriptTypeTwo().

size_t libwpg::WPGBinaryData::size | ( |  | ) | const

Referenced by WPG2Parser::handleObjectImage(), WPG1Parser::handlePostscriptTypeOne(), and WPG1Parser::handlePostscriptTypeTwo().

const char * libwpg::WPGBinaryData::getDataBuffer | ( |  | ) | const

Referenced by WPG2Parser::handleObjectImage().

const libwpg::WPGString libwpg::WPGBinaryData::getBase64Data | ( |  | ) | const

Referenced by libwpg::WPGSVGGenerator::drawImageObject().

libwpg::WPGBinaryData & libwpg::WPGBinaryData::operator= | ( | const WPGBinaryData & | dataBuf | ) |

## Member Data Documentation

WPGRect libwpg::WPGBinaryData::rect

Referenced by libwpg::WPGSVGGenerator::drawImageObject(), WPG2Parser::handleObjectImage(), WPG1Parser::handlePostscriptTypeOne(), and WPG1Parser::handlePostscriptTypeTwo().

WPGString libwpg::WPGBinaryData::mimeType

Referenced by libwpg::WPGSVGGenerator::drawImageObject(), WPG2Parser::handleObjectImage(), WPG1Parser::handlePostscriptTypeOne(), and WPG1Parser::handlePostscriptTypeTwo().

WPGBinaryDataImpl* libwpg::WPGBinaryData::m_binaryDataImpl`[private]`

Referenced by append(), clear(), getBase64Data(), getDataBuffer(), operator=(), size(), WPGBinaryData(), and ~WPGBinaryData().

The documentation for this class was generated from the following files:

- WPGBinaryData.h
- WPGBinaryData.cpp